<div>
  <div class="header">
    <h1 class="title">{{assignment.name}}</h1>
    <h3>{{course.name}}</h3>
  </div>

  <div class="deadline">
    <h2 class="inline">
      <i class="fa fa-clock-o" aria-hidden="true"></i>
      Deadline:
    </h2>
    <h3 class="indented">
      <span>
        {{assignment | date}}
      </span>
    </h3>
  </div>


  <div class="status">
    <h2>
      <i class="fa fa-info-circle" aria-hidden="true"></i>
      Status:
    </h2>
    <div class="form-inline">
      <div class="input-group">
        <span class="input-group-addon bold">
          Submissions:
        </span>
        <span class="input-group-addon">
          {{'?'}}
        </span>
      </div>
    </div>
  </div>

  <div class="files">
    <h2>
      <i class="fa fa-file-text" aria-hidden="true"></i>
      Files:
    </h2>
    <table class="table table-striped table-bordered">
      <tbody>
        <tr>
          <th>Assignment Files</th>
        </tr>
        <tr v-for="file in assignment.files">
          <td>{{file.split("/").slice(-1)[0]}}</td>
        </tr>
      </tbody>
    </table>
    <div class="get-assignment">
      <button type="button" class="btn btn-secondary">
        <span class="glyphicon glyphicon-save"></span>
        Get Student Submissions
      </button>
    </div>
  </div>

  <div class="submission">
    <h2>
      <i class="fa fa-check" aria-hidden="true"></i>
      Corrections:
    </h2>
    <div class="full-width-btn">
      <button type="button" class="btn btn-success">
        <i class="fa fa-check" aria-hidden="true"></i>
        Post Corrections
        </button>
    </div>
  </div>

  <div class="delete">
    <h2>
      <i class="fa fa-times" aria-hidden="true"></i>
      Delete:
    </h2>
    <div class="full-width-btn">
      <button type="button" class="btn btn-danger" v-if="!confirm" @click="confirm = true">
        <i class="fa fa-minus" aria-hidden="true"></i>
        Delete Assignment
        </button>
    </div>
    <div class="half-width-btn" v-if="confirm">
      <h3 class="warning">Warning - Do you really want to delete {{assignment.name}}?</h3>
      <button type="button" class="btn btn-default" @click="confirm = false">
        No
      </button>
      <button type="button" class="btn btn-warning" @click="deleteAssignment()">
        Yes
      </button>
    </div>
  </div>
</div>
